<?php
	/*
	generate.php v1.0 by Kristoffe Brodeur. ©2013 All Rights Reserved.
	07-27-2013
	*/

	$imgOrig="test.jpg";
	$imgWM="logo.png";
	$quality=100;
	
	//new image
	$maxW=200;
	$maxH=200;
	list($imgW,$imgH)=getimagesize($imgOrig);
	//proportion check
	if($imgW>$maxW)
		{
		$propW=$maxW/$imgW;
		$newH1=$imgH*$propW;
		//a crop needs to be made, it does not fit the 240:160 proportion
		if($newH1>$maxH)
			{
			$median=($newH1-$maxH)/2;
			$srcY=$median/$propW;
			}
		}
	else
		{
		$srcY=0;
		}
	$srcH=$maxH*($imgW/$maxW);
	$imgCanvas=imagecreatetruecolor($maxW,$maxH);
	//imagealphablending($imgCanvas,false);
	
	$imgSrc=imagecreatefromjpeg($imgOrig);
	imagecopyresampled($imgCanvas,$imgSrc,0,0,0,$srcY,$maxW,$maxH,$imgW,$srcH);
	
	//watermark
	list($wmW,$wmH)=getimagesize($imgWM);
	$wm_temp=imagecreatefrompng($imgWM);

	imagecopy($imgCanvas,$wm_temp,0,0,0,0,$wmW,$wmH);
	
	header('Content-type:image/jpg');
	imagejpeg($imgCanvas,NULL,$quality);//NULL could have the finished filename instead
?>